package com.kamco.cd.training.common.enums;

import com.kamco.cd.training.common.utils.enums.EnumType;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RoleType implements EnumType {
  ROLE_ADMIN("시스템 관리자"),
  ROLE_LABELER("라벨러"),
  ROLE_REVIEWER("검수자");

  private final String desc;

  @Override
  public String getId() {
    return name();
  }

  @Override
  public String getText() {
    return desc;
  }
}
